
Foreman - Bug #6067

UI inconsistency around root password strength

06/04/2014 04:54 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1104665 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1104665

The UI is inconsistent regarding root passwords:

1) The hostgroup setting for Root Password makes no mention of password length requirement.

2) The new host / host edit mentions an 8 character minimum

Related issues:

Related to Foreman - Feature #5663: Configure the default root password polic... New 05/11/2014

Associated revisions

Revision 9c30b63e - 06/19/2014 03:21 PM - Joseph Magen

fixes #6067 - UI inconsistency around root password limit 8 characters

Revision 8e51f43c - 06/23/2014 09:36 AM - Joseph Magen

refs #6067 - tests for UI inconsistency around root password limit 8 characters

History

#1 - 06/04/2014 04:55 PM - Dominic Cleal

- Description updated

- Category set to Web Interface

#2 - 06/04/2014 04:55 PM - Dominic Cleal

- Related to Feature #5663: Configure the default root password policy in 1.5 added

#3 - 06/19/2014 03:21 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

- Target version set to 1.8.1

- translation missing: en.field_release set to 10

https://github.com/theforeman/foreman/pull/1524

#4 - 06/19/2014 03:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9c30b63eb1d2e799f857abf1f56a43fdc650d759.
